Wordpress 500 error after upgrading to EasyApache4

Normally 500 errors in PHP are a result of not having enough memory allocated to PHP scripts.

After upgrading to EasyApache4 we recommend you do a couple of things to ensure you are running the latest version of PHP (v7.0) and have enough memory allocated to PHP:

In WHM go to Software -> MultiPHP Manager -> and change the version to ea-php70

The next step is to allocate enough memory to PHP:

In WHM go to Software -> MultiPHP INI Editor -> Select your version -> Change the memory limit from 64M to something more reasonable.

We normally set it to 2000M which is pretty high but ensures there are no issues with scripts that require a decent amount of memory.